Subject: RE: M=1/O=0 is not valid in full 3315 ?

From: "Bound, Jim" <[email-masked]>
Date: Thu, 19 Aug 2004 15:07:20 -0400

This is important point Stig raises and could mean a lot to implementors
of dhcpv6 clients how they implement the coexistence data structures as
a note.
/jim 

> -----Original Message-----
> From: Stig Venaas [mailto:[email-masked]] 
> Sent: Thursday, August 19, 2004 8:31 AM
> To: Bound, Jim
> Cc: Ralph Droms; [email-masked]
> Subject: Re: M=1/O=0 is not valid in full 3315 ?
> 
> On Thu, Aug 19, 2004 at 07:59:00AM -0400, Bound, Jim wrote:
> > The key is the ongoing debate of stateless vs stateful and members 
> > working their agendas for their products.  The bottom line is the 
> > users will use stateful and stateless and we need a way to 
> permit that 
> > and also inform implementors that both stateful and stateless are 
> > required for clients.  That is the bottom line.  How we say 
> it seems 
> > to be still a debate.
> > /jim
> 
> I agree with this. I have one concern though.
> 
> There must be a way to support different types of clients. On 
> a link there may be both full fledged DHCP clients that needs 
> to receive
> IPv6 addresses with DHCP, and some other DHCP clients that 
> can only do stateless (or need only stateless). In the latter 
> case the clients may have manually configured IPv6 addresses, 
> or use IPv4 or whatever.
> 
> In that case, there must be a way to tell the full fledged 
> clients that they should use DHCP to configure addresses, 
> while at the same time allow some DHCP clients to use stateless.
> 
> If you say all clients MUST do stateful or all clients MUST 
> do stateful...
> 
> I believe there must be a way for an administrator to allow 
> the scenario I describe above.
> 
> I'll try to stay away from this thread now,
> 
> Stig
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------